Bug 7240 - [FR] user level support in installer
: [FR] user level support in installer
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/installer)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
:
: usability
:
: 3909 7213 7371
  Show dependency tree
 
Reported: 2005-06-29 14:33 by
Modified: 2013-08-15 18:50 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-29 14:33:34
Было бы уместно иметь в инсталяторе и устанавливаемой им системе поддержку user
level -- уровня пользователя, в зависимости от которого регулируется
функциональность интерфейса (ограниченими по сути).

Рекомендуемые материалы (google по geoworks "user level"):

http://vio.fio.ru/vio_01/PrintFolder/Article_3_4.htm
http://www.markshapiro.com/Issue8.p12-p30.html
http://books.slashdot.org/comments.pl?sid=80652&cid=7104959
http://www.mail-archive.com/gnhlug-discuss@mail.gnhlug.org/msg00920.html

PS: возможно, это тоже разумно уметь выбирать и в загрузчике, но если делать --
то точно надо уметь выбирать на второй стадии, поэтому вешаю сюда.

Можно сразу закрывать как LATER 3.1, но лучше пусть уже будет зафиксировано,
правда? :)
------- Comment #1 From 2005-07-15 15:14:54 -------
Нет у нас пока понятия "user level". 2-й стадией это не ограничивается. 
------- Comment #2 From 2005-07-15 17:42:46 -------
потому так и пометил изначально :)
------- Comment #3 From 2007-11-10 16:51:05 -------
reopen
------- Comment #4 From 2007-11-10 16:54:03 -------
Перевесим обобщённо на alterator, но вообще это "ничей баг".

2 aen: если когда-то получится продумать и сделать, может оказаться одной из
ключевых фич платформы.  По крайней мере GeoWorks за неё любили...
------- Comment #5 From 2007-11-11 22:07:08 -------
Бага про инсталлер так и пусть весит на инсталлере.
------- Comment #6 From 2007-11-11 23:46:49 -------
Понимаешь, по-хорошему -- это не только установка... да и Стас (или ты) тут ни
при чём.  _Мне_ же хочется ;-)
------- Comment #7 From 2007-11-12 00:53:10 -------
(надевая на себя маску эксперта по юзабилити)
User level - это довольно спорный эксперимент в области пользовательского
интерфейса. Такой же как и "пространственная метафора" рабочего стола (когда
окно для каждого каталога делается своё и с запоминанием места на столе).
Характерно, кстати, что в Наутилусе когда-то были уровни пользователя, а сейчас
есть "пространственный" режим; и то, и другое в наше время не без труда находит
любовь пользователей. До сих пор есть приложения, пытающиеся продвигать идею
уровней пользователя, но в целом затея относится скорее к экзотике, чем к
перспективному направлению.
------- Comment #8 From 2007-11-12 12:53:16 -------
Ну между нами девочками -- GNOME2 тоже является тем ещё по сомнительности
экспериментом по юзабилити... ладно, словами тут не поможешь.
------- Comment #9 From 2013-08-15 18:50:26 -------
apparently wontfix